[arch-commits] CVS update of extra/devel/bigloo (PKGBUILD bigloo.patch)

Kevin Piche kevin at archlinux.org
Thu Dec 13 22:46:11 EST 2007


    Date: Thursday, December 13, 2007 @ 22:46:11
  Author: kevin
    Path: /home/cvs-extra/extra/devel/bigloo

Modified: PKGBUILD (1.16 -> 1.17)
 Removed: bigloo.patch (1.3)

upgpkg: bigloo 3.0c-1


--------------+
 PKGBUILD     |   25 ++++++++++++-------------
 bigloo.patch |   20 --------------------
 2 files changed, 12 insertions(+), 33 deletions(-)


Index: extra/devel/bigloo/PKGBUILD
diff -u extra/devel/bigloo/PKGBUILD:1.16 extra/devel/bigloo/PKGBUILD:1.17
--- extra/devel/bigloo/PKGBUILD:1.16	Fri Jun  8 03:19:03 2007
+++ extra/devel/bigloo/PKGBUILD	Thu Dec 13 22:46:10 2007
@@ -1,26 +1,25 @@
-# $Id: PKGBUILD,v 1.16 2007/06/08 07:19:03 eric Exp $
+# $Id: PKGBUILD,v 1.17 2007/12/14 03:46:10 kevin Exp $
 # Contributor: John Proctor <jproctor at prium.net>
 # Maintainer: Kevin Piche <kevin at archlinux.org>
 
 pkgname=bigloo
-pkgver=3.0a
-_pkgver=3.0a-2
-pkgrel=2
+pkgver=3.0c
+_realver=3.0c-4
+pkgrel=1
 pkgdesc="Fast scheme compiler"
 arch=(i686 x86_64)
 license=('GPL' 'LGPL')
 depends=('openssl' 'sqlite3')
 makedepends=('jdk')
 url='http://www-sop.inria.fr/mimosa/fp/Bigloo/'
-source=(ftp://ftp-sop.inria.fr/mimosa/fp/Bigloo/$pkgname$_pkgver.tar.gz bigloo.patch)
-md5sums=('abd8841aaebad0ed335e979abe7a0109' '1a1c61ffb5e0f610c93055231cdf8535')
+source=(ftp://ftp-sop.inria.fr/mimosa/fp/Bigloo/${pkgname}${_realver}.tar.gz)
+md5sums=('449b5f45a1b02619b9cf2a76f94232ee')
 
 build() {
-	cd $startdir/src/$pkgname$pkgver
-	export MAKEFLAGS="-j1"
-	patch -p0 < ../bigloo.patch
-	./configure --prefix=/usr --dotnet=no --javaprefix=/opt/java/bin
-	make || return 1
-	make DESTDIR=$startdir/pkg install
-    (cd $startdir/pkg/usr/bin; rm bigloo; ln -s bigloo$pkgver bigloo)
+  cd ${startdir}/src/${pkgname}${pkgver}
+  export MAKEFLAGS="-j1"
+  ./configure --prefix=/usr --dotnet=no --javaprefix=/opt/java/bin
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
+  (cd ${startdir}/pkg/usr/bin; rm bigloo; ln -s bigloo${pkgver} bigloo)
 }
Index: extra/devel/bigloo/bigloo.patch
diff -u extra/devel/bigloo/bigloo.patch:1.3 extra/devel/bigloo/bigloo.patch:removed
--- extra/devel/bigloo/bigloo.patch:1.3	Sun Feb 18 20:10:25 2007
+++ extra/devel/bigloo/bigloo.patch	Thu Dec 13 22:46:11 2007
@@ -1,20 +0,0 @@
---- Makefile.misc.orig	2007-02-02 21:37:20.000000000 -0500
-+++ Makefile.misc	2007-02-02 21:37:51.000000000 -0500
-@@ -92,7 +92,7 @@
- 	      $(RM) -f $(LIBDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX) && \
-               (cd $(LIBDIR) && \
- 	       $(RM) -f $(LIB).$(SHAREDSUFFIX) && \
--               ln -s $(DESTDIR)$(FILDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX) \
-+               ln -s $(FILDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX) \
-                 $(LIB).$(SHAREDSUFFIX) \
-                || \
-                cp $(DESTDIR)$(FILDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX) \
-@@ -128,7 +128,7 @@
- 	  (cd $(LIBDIR) && \
-            if [ -f $(DESTDIR)$(FILDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX) ]; then \
- 	     $(RM) -f $(LN).$(SHAREDSUFFIX) && \
--             ln -s $(DESTDIR)$(FILDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX) \
-+             ln -s $(FILDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX) \
-                    $(LN).$(SHAREDSUFFIX) \
-              || \
-              cp $(DESTDIR)$(FILDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX) \




More information about the arch-commits mailing list